Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class HistogramAdapter

    java.lang.Object
      de.grogra.pf.data.DatasetAdapterBase
          de.grogra.pf.data.HistogramAdapter

All Implemented Interfaces:
  org.jfree.data.general.Dataset, org.jfree.data.general.SeriesDataset, org.jfree.data.xy.IntervalXYDataset, org.jfree.data.xy.XYDataset

    public final class HistogramAdapter

extends DatasetAdapterBase
implements org.jfree.data.xy.IntervalXYDataset

Constructor Summary
`HistogramAdapter(Dataset ds)`

Method Summary
`java.lang.Number` | `getEndX(int series, int item)` Returns the ending X value for the specified series and item.
`double` | `getEndXValue(int series, int item)` Returns the end x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getEndY(int series, int item)` Returns the ending Y value for the specified series and item.
`double` | `getEndYValue(int series, int item)` Returns the end y-value (as a double primitive) for an item within a series.
`int` | `getItemCount(int series)` Returns the number of items in a series.
`java.lang.Number` | `getStartX(int series, int item)` Returns the starting X value for the specified series and item.
`double` | `getStartXValue(int series, int item)` Returns the start x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getStartY(int series, int item)` Returns the starting Y value for the specified series and item.
`double` | `getStartYValue(int series, int item)` Returns the start y-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getX(int series, int item)` Returns the x-value for an item within a series.
`double` | `getXValue(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getY(int series, int item)` Returns the y-value for an item within a series.
`double` | `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.

Methods inherited from class de.grogra.pf.data.DatasetAdapterBase
`addChangeListener, getDomainOrder, getGroup, getSeriesCount, getSeriesKey, indexOf, removeChangeListener, setGroup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.xy.XYDataset
`getDomainOrder`

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### HistogramAdapter

    public HistogramAdapter(Dataset ds)

Method Detail

### getEndX

    public java.lang.Number getEndX(int series,
                                    int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the ending X value for the specified series and item.

  Specified by:
    `getEndX` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getEndXValue

    public double getEndXValue(int series,
                               int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the end x-value (as a double primitive) for an item within a series.

  Specified by:
    `getEndXValue` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The end x-value.

### getEndY

    public java.lang.Number getEndY(int series,
                                    int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the ending Y value for the specified series and item.

  Specified by:
    `getEndY` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getEndYValue

    public double getEndYValue(int series,
                               int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the end y-value (as a double primitive) for an item within a series.

  Specified by:
    `getEndYValue` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The end y-value.

### getItemCount

    public int getItemCount(int series)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the number of items in a series.

  Specified by:
    `getItemCount` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
  Returns:
    The item count.

### getStartX

    public java.lang.Number getStartX(int series,
                                      int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the starting X value for the specified series and item.

  Specified by:
    `getStartX` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getStartXValue

    public double getStartXValue(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the start x-value (as a double primitive) for an item within a series.

  Specified by:
    `getStartXValue` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The start x-value.

### getStartY

    public java.lang.Number getStartY(int series,
                                      int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the starting Y value for the specified series and item.

  Specified by:
    `getStartY` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The value.

### getStartYValue

    public double getStartYValue(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.IntervalXYDataset`
  Returns the start y-value (as a double primitive) for an item within a series.

  Specified by:
    `getStartYValue` in interface `org.jfree.data.xy.IntervalXYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The start y-value.

### getX

    public java.lang.Number getX(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the x-value for an item within a series. The x-values may or may not be returned in ascending order, that is up to the class implementing the interface.

  Specified by:
    `getX` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The x-value (never `null`).

### getXValue

    public double getXValue(int series,
                            int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the x-value (as a double primitive) for an item within a series.

  Specified by:
    `getXValue` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The x-value.

### getY

    public java.lang.Number getY(int series,
                                 int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the y-value for an item within a series.

  Specified by:
    `getY` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The y-value (possibly `null`).

### getYValue

    public double getYValue(int series,
                            int item)

  Description copied from interface: `org.jfree.data.xy.XYDataset`
  Returns the y-value (as a double primitive) for an item within a series.

  Specified by:
    `getYValue` in interface `org.jfree.data.xy.XYDataset`
  Parameters:
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The y-value.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD